package com.sd.business.mapper.artwork;

import com.sd.business.entity.artwork.po.ArtworkLibrary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.artwork.vo.ArtworkLibraryVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 图稿库 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-08-02
 */
public interface ArtworkLibraryMapper extends BaseMapper<ArtworkLibrary> {

    /**
     * 图稿库列表
     */
    List<ArtworkLibraryVo> getList(@Param("ew") IWrapper<ArtworkLibrary> wrapper);

    /**
     * 图稿库分页
     */
    Page<ArtworkLibraryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ArtworkLibrary> wrapper);

    /**
     * 根据图稿名称获取图稿信息
     *
     * @param artworkName
     * @return
     */
    ArtworkLibrary getArtworkName(@Param("artworkName") String artworkName);
}
